"use strict"

let alttpCoordDict = {
    "0x297-Trade":{
       "id":"0x297-Trade",
       "area":"Martha's Bay",
       "name":"Mermaid Statue",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0C9-Trade":{
       "id":"0x0C9-Trade",
       "area":"Martha's Bay",
       "name":"Mermaid",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2F5-Trade":{
       "id":"0x2F5-Trade",
       "area":"Martha's Bay",
       "name":"Fisher",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0CD-Trade":{
       "id":"0x0CD-Trade",
       "area":"Animal Village",
       "name":"Grandma",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2A8-Trade":{
       "id":"0x2A8-Trade",
       "area":"Kakariko Village",
       "name":"Mr. Write",
       "locations":[
          {
             "map":"overworld",
             "x":226,
             "y":1085
          }
       ],
    },
    "0x2D9-Trade":{
       "id":"0x2D9-Trade",
       "area":"Kakariko Village",
       "name":"Goat",
       "locations":[
          {
             "map":"overworld",
             "x":547,
             "y":965
          }
       ],
    },
    "0x019-Trade":{
       "id":"0x019-Trade",
       "area":"Tal Tal Heights",
       "name":"Papahl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          },
       ],
    },
    "0x2D7-Trade":{
       "id":"0x2D7-Trade",
       "area":"Kakariko Village",
       "name":"Bear Cook",
       "locations":[
          {
             "map":"overworld",
             "x":81,
             "y":955
          }
       ],
    },
    "0x087-Trade":{
       "id":"0x087-Trade",
       "area":"Ukuku Prairie",
       "name":"Honeycomb",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x07B-Trade":{
       "id":"0x07B-Trade",
       "area":"Ukuku Prairie",
       "name":"Kiki",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2FE-Trade":{
       "id":"0x2FE-Trade",
       "area":"Lake Hylia",
       "name":"Banana Sale",
       "locations":[
          {
             "map":"overworld",
             "x":1642,
             "y":1625
          }
       ],
    },
    "0x2B2-Trade":{
       "id":"0x2B2-Trade",
       "area":"Kakariko Village",
       "name":"YipYip",
       "locations":[
          {
             "map":"overworld",
             "x":400,
             "y":850
          }
       ],
    },
    "0x2A6-Trade":{
       "id":"0x2A6-Trade",
       "area":"Kakariko Village",
       "name":"Papahl's Wife",
       "locations":[
          {
             "map":"overworld",
             "x":337,
             "y":1450
          }
       ],
       "image": "02A6-Trade",
    },
    "0x2A0-Trade":{
       "id":"0x2A0-Trade",
       "area":"Kakariko Village",
       "name":"Trendy Game",
       "locations":[
          {
             "map":"overworld",
             "x":403,
             "y":1315
          }
       ],
    },
    "0x2A0":{
       "id":"0x2A0",
       "area":"Kakariko Village",
       "name":"Trendy Powder",
       "locations":[
          {
             "map":"overworld",
             "x":403,
             "y":1315
          }
       ],
    },
    "0x1E4":{
       "id":"0x1E4",
       "area":"Mabe Village",
       "name":"Rooster",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2FB":{
       "id":"0x2FB",
       "area":"Death Mountain",
       "name":"Mamu",
       "locations":[
          {
             "map":"overworld",
             "x":1287,
             "y":172
          }
       ],
    },
    "0x2FD":{
       "id":"0x2FD",
       "area":"Tal Tal Heights",
       "name":"Manbo's Mambo",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x092":{
       "id":"0x092",
       "area":"Stumpy Forest",
       "name":"Ballad of the Wind Fish",
       "locations":[
          {
             "map":"overworld",
             "x":867,
             "y":1355
          }
       ],
    },
    "0x27A":{
       "id":"0x27A",
       "area":"Tal Tal Mountains",
       "name":"Bird Key Cave",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x27F":{
       "id":"0x27F",
       "area":"Eastern Palace",
       "name":"Armos Knight",
       "locations":[
          {
             "map":"overworld",
             "x":2045,
             "y":910
          }
       ],
    },
    "0x0CE":{
       "id":"0x0CE",
       "area":"Yarna Desert",
       "name":"Lanmola",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x050":{
       "id":"0x050",
       "area":"Lost Woods",
       "name":"Toadstool",
       "locations":[
          {
             "map":"overworld",
             "x":260,
             "y":175
             }
       ],
    },
    "0x0F2":{
       "id":"0x0F2",
       "area":"Toronbo Shores",
       "name":"Sword on the Beach",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2BA":{
       "id":"0x2BA",
       "area":"Death Mountain",
       "name":"Access Tunnel Bombable Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":2028,
             "y":177
          }
       ],
       "image": "02BA-1",
    },
    "0x1E2":{
       "id":"0x1E2",
       "area":"Lost Woods",
       "name":"Mad Batter",
       "locations":[
          {
             "map":"overworld",
             "x":855,
             "y":30
          }
       ],
    },
    "0x004":{
       "id":"0x004",
       "area":"Tal Tal Mountains",
       "name":"Outside Mad Batter",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x025":{
       "id":"0x025",
       "area":"Death Mountain",
       "name":"Outside Five Chest Game",
       "locations":[
          {
             "map":"overworld",
             "x":853,
             "y":290
          },
       ],
       "image":"001D",
    },
    "0x2F2":{
       "id":"0x2F2",
       "area":"Tal Tal Mountains",
       "name":"Five Chest Game",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          },
       ],
    },
    "0x00C":{
       "id":"0x00C",
       "area":"Swamp",
       "name":"Teleporter Rock",
       "locations":[
          {
             "map":"overworld",
             "x":1175,
             "y":1575
          }
       ],
    },
    "0x01E-Owl":{
       "id":"0x01E-Owl",
       "area":"Tal Tal Mountains",
       "name":"Outside D7 Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x05D-Owl":{
       "id":"0x05D-Owl",
       "area":"Rapids Ride",
       "name":"Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x05D":{
       "id":"0x05D",
       "area":"Eastern Hyrule",
       "name":"Witch Bush",
       "locations":[
          {
             "map":"overworld",
             "x":2186,
             "y":666
          },
       ],
    },
    "0x05C":{
       "id":"0x05C",
       "area":"Rapids Ride",
       "name":"West",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x07F":{
       "id":"0x07F",
       "area":"Rapids Ride",
       "name":"Raft Powder",
       "locations":[
           {
               "map": "overworld",
               "x": 2800,
               "y": 2800,
           },
        ],
    },
    "0x08F-Owl": {
       "id":"0x08F-Owl",
       "area":"Southern Face Shrine",
       "name":"Outside Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2FC":{
       "id":"0x2FC",
       "area":"Desert",
       "name":"Cave near Desert Entrance",
       "locations":[
          {
             "map":"overworld",
             "x":696,
             "y":1820
          }
       ],
    },
    "0x1F2":{
       "id":"0x1F2",
       "area":"Tal Tal Heights",
       "name":"Damp Cave Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
       "image":"01F2",
    },
    "0x28A":{
       "id":"0x1F2",
       "area":"Death Mountain",
       "name":"Paradox Cave Bottom",
       "locations":[
          {
             "map":"overworld",
             "x":2220,
             "y":445
          }
       ],
       "image":"01F2",
    },
    "0x2BB":{
       "id":"0x2BB",
       "area":"Tal Tal Mountains",
       "name":"Access Tunnel Interior",
       "locations":[
            {
                "map": "overworld",
                "x": 2800,
                "y": 2800
            },
       ],
       "image": "02BB",
    },
    "0x018":{
       "id":"0x018",
       "area":"Kakariko Village",
       "name":"Teleporter Rock",
       "locations":[
          {
             "map":"overworld",
             "x":211,
             "y":710
          }
       ],
    },
    "0x0FF":{
       "id":"0x0FF",
       "area":"Eastern Palace",
       "name":"Teleporter Rock",
       "locations":[
          {
             "map":"overworld",
             "x":2464,
             "y":1485
          }
       ],
    },
    "0x1E8":{
       "id":"0x1E8",
       "area":"Yarna Desert",
       "name":"Cave Under Lanmola",
       "locations":[
          {
             "map":"overworld",
             "x":80,
             "y":876
          }
       ],
       "image":"01E8",
    },
    "0x2E6":{
       "id":"0x2E6",
       "area":"Death Mountain",
       "name":"Bomb Arrow Cave",
       "locations":[
          {
             "map":"overworld",
             "x":2125,
             "y":192
          }
       ],
       "image": "02E6",
    },
    "0x0CF-Owl":{
       "id":"0x0CF-Owl",
       "area":"Yarna Desert",
       "name":"Desert Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0DA-Owl":{
       "id":"0x0DA-Owl",
       "area":"Martha's Bay",
       "name":"Peninsula Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0DA":{
       "id":"0x0DA",
       "area":"Martha's Bay",
       "name":"Peninsula Dig",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2C6":{
       "id":"0x2C6",
       "area":"Hyrule Castle",
       "name":"Ball and Chain Guard",
       "locations":[
          {
             "map":"overworld",
             "x":1350,
             "y":790
          }
       ],
       "image": "02C6",
    },
    "0x2C5":{
       "id":"0x2C5",
       "area":"Hyrule Castle",
       "name":"Bombable Darknut",
       "locations":[
          {
             "map":"overworld",
             "x":1223,
             "y":920
          },
          {
             "map":"overworld",
             "x":1091,
             "y":790
          }
       ],
       "image": "02C5",
    },
    "0x2D2":{
       "id":"0x2D2",
       "area":"Hyrule Castle",
       "name":"Darknut, Zol, Bubble",
       "locations":[
          {
             "map":"overworld",
             "x":1223,
             "y":920
          },
          {
             "map":"overworld",
             "x":1091,
             "y":790
          }
       ],
       "image": "02D2",
    },
    "0x058":{
       "id":"0x058",
       "area":"Kanalet Castle",
       "name":"Crow Rock Leaf",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x05A":{
       "id":"0x05A",
       "area":"Kanalet Castle",
       "name":"Bomberman Meets Whack-a-mole Leaf",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x078":{
       "id":"0x078",
       "area":"Kanalet Castle",
       "name":"In the Moat Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2C8":{
       "id":"0x2C8",
       "area":"Pothole Field",
       "name":"Under Richard's House",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
       "image": "02C8",
    },
    "0x0C6":{
       "id":"0x0C6",
       "area":"Pothole Field",
       "name":"Slime Key Dig",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0C6-Owl":{
       "id":"0x0C6-Owl",
       "area":"Pothole Field",
       "name":"Slime Key Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x1E0":{
       "id":"0x1E0",
       "area":"Lake Hylia",
       "name":"Mad Batter",
       "locations":[
          {
             "map":"overworld",
             "x":2174,
             "y":1300
          },
       ],
    },
    "0x0A8-Owl":{
       "id":"0x0A8-Owl",
       "area":"Donut Plains",
       "name":"Donut Plains Ledge Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
       "image":"00A8",
    },
    "0x0A8":{
       "id":"0x0A8",
       "area":"Donut Plains",
       "name":"Donut Plains Ledge Dig",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
       "image":"00A8",
    },
    "0x0F8":{
       "id":"0x0F8",
       "area":"Graveyard",
       "name":"Bush near Graveyard",
       "locations":[
          {
             "map":"overworld",
             "x":1643,
             "y":612
          }
       ],
    },
    "0x0E9":{
       "id":"0x0E9",
       "area":"Martha's Bay",
       "name":"Lone Bush",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0B9":{
       "id":"0x0B9",
       "area":"Donut Plains",
       "name":"Rock Seashell",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x1FD":{
       "id":"0x1FD",
       "area":"Kanalet Castle",
       "name":"Boots Pit",
       "locations":[
          {
             "map":"overworld",
             "x":1004,
             "y":260
          }
       ],
    },
    "0x2E9":{
       "id":"0x2E9",
       "area":"Graveyard",
       "name":"Seashell Mansion",
       "locations":[
          {
             "map":"overworld",
             "x":1190,
             "y":590
          }
       ],
    },
    "0x0A4":{
       "id":"0x0A4",
       "area":"Ukuku Prairie",
       "name":"East of Mabe Tree Bonk",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x08B":{
       "id":"0x08B",
       "area":"Ukuku Prairie",
       "name":"East of Seashell Mansion Bush",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0A6":{
       "id":"0x0A6",
       "area":"Ukuku Prairie",
       "name":"Outside D3 Island Bush",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0A5":{
       "id":"0x0A5",
       "area":"Ukuku Prairie",
       "name":"Outside D3 Ledge Dig",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2E5":{
       "id":"0x2E5",
       "area":"Death Mountain",
       "name":"Boots 'n' Bomb Cave Bombable Wall",
       "locations":[
          {
             "map":"overworld",
             "x":1160,
             "y":260
          }
       ],
       "image": "02E5",
    },
    "0x2F4":{
       "id":"0x2F4",
       "area":"Death Mountain",
       "name":"Boots 'n' Bomb Cave Chest",
       "locations":[
          {
             "map":"overworld",
             "x":1160,
             "y":260
          }
       ],
    },
    "0x2CD":{
       "id":"0x2CD",
       "area":"Swamp",
       "name":"Hype Cave",
       "locations":[
          {
             "map":"overworld",
             "x":1538,
             "y":1592
          }
       ],
    },
    "0x2E2":{
       "id":"0x2E2",
       "area":"Lost Woods",
       "name":"Moblin Cave",
       "locations":[
          {
             "map":"overworld",
             "x":415,
             "y":15
          }
       ],
    },
    "0x074":{
       "id":"0x074",
       "area":"Koholint Prairie",
       "name":"Ghost Grave Dig",
       "locations":[
          {
             "map":"overworld",
             "x":1530,
             "y":1579
          }
       ],
    },
    "0x2DF":{
       "id":"0x2DF",
       "area":"Graveyard",
       "name":"Cave near Bush",
       "locations":[
          {
             "map":"overworld",
             "x":1705,
             "y":562
          }
       ],
       "image": "02DF",
    },
    "0x035-Owl":{
       "id":"0x035-Owl",
       "area":"Tal Tal Heights",
       "name":"Moblin Cave Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2AF":{
       "id":"0x2AF",
       "area":"Death Mountain",
       "name":"Write Cave East",
       "locations":[
          {
             "map":"overworld",
             "x":2172,
             "y":289
          }
       ],
       "image": "02AF",
    },
    "0x011-Owl":{
       "id":"0x011-Owl",
       "area":"Goponga Swamp",
       "name":"North of Write Owl",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2AE":{
       "id":"0x2AE",
       "area":"Death Mountain",
       "name":"Write Cave West",
       "locations":[
          {
             "map":"overworld",
             "x":2043,
             "y":255
          }
       ],
       "image": "02AE",
    },
    "0x2B3":{
       "id":"0x2B3",
       "area":"Mysterious Woods",
       "name":"Hookshot Cave",
       "locations":[
          {
             "map":"overworld",
             "x":420,
             "y":308
          }
       ],
    },
    "0x2AB":{
       "id":"0x2AB",
       "area":"Desert",
       "name":"Aginah Flamethrower Cave",
       "locations":[
          {
             "map":"overworld",
             "x":578,
             "y":1722
          },
          {
             "map":"overworld",
             "x":676,
             "y":1707
          }
       ],
       "image": "02AB",
    },
    "0x2BD":{
       "id":"0x2BD",
       "area":"Mysterious Woods",
       "name":"Cave Crystal Chest",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          },
       ],
       "image": "02BD",
    },
    "0x041":{
       "id":"0x041",
       "area":"Kakariko Village",
       "name":"Race Game",
       "locations":[
          {
             "map":"overworld",
             "x":23,
             "y":1460
          }
       ],
    },
    "0x034":{
       "id":"0x034",
       "area":"Goponga Swamp",
       "name":"Swampy Chest",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x1E1":{
       "id":"0x1E1",
       "area":"Death Mountain",
       "name":"Mad Batter",
       "locations":[
          {
             "map":"overworld",
             "x":1222,
             "y":273
          }
       ],
    },
    "0x071":{
       "id":"0x071",
       "area":"Mysterious Woods",
       "name":"Two Zol, Moblin Chest",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x044":{
       "id":"0x044",
       "area":"Koholint Prairie",
       "name":"Heart Piece of Shame",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x1E3":{
       "id":"0x1E3",
       "area":"Lost Woods",
       "name":"Ghost House Barrel",
       "locations":[
          {
             "map":"overworld",
             "x":868,
             "y":80
          }
       ],
       "image":"01E3",
    },
    "0x0E5":{
       "id":"0x0E5",
       "area":"Toronbo Shores",
       "name":"West of Ghost House Chest",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x0D2":{
       "id":"0x0D2",
       "area":"Toronbo Shores",
       "name":"Outside D1 Tree Bonk",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2B2":{
       "id":"0x2B2",
       "area":"Kakariko Village",
       "name":"Dog House Dig",
       "locations":[
          {
             "map":"overworld",
             "x":400,
             "y":850
          }
       ],
       "image":"02B2",
    },
    "0x0A3":{
       "id":"0x0A3",
       "area":"Mabe Village",
       "name":"Bush Field",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2B1":{
       "id":"0x2B1",
       "area":"Mabe Village",
       "name":"Fishing Game Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2A4":{
       "id":"0x2A4",
       "area":"Mabe Village",
       "name":"Well Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2BE":{
       "id":"0x2BE",
       "area":"Kakariko Village",
       "name":"Dream Hut West",
       "locations":[
          {
             "map":"overworld",
             "x":513,
             "y":600
          }
       ],
    },
    "0x2BF":{
       "id":"0x2BF",
       "area":"Kakariko Village",
       "name":"Dream Hut East",
       "locations":[
          {
             "map":"overworld",
             "x":513,
             "y":600
          }
       ],
    },
    "0x30A-Owl":{
       "id":"0x30A-Owl",
       "area":"Color Dungeon",
       "name":"Puzzowl",
       "locations":[
          {
             "map":"d0",
             "x":208,
             "y":256
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x307":{
       "id":"0x307",
       "area":"Color Dungeon",
       "name":"Bullshit Room",
       "locations":[
          {
             "map":"d0",
             "x":544,
             "y":176
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x306":{
       "id":"0x306",
       "area":"Color Dungeon",
       "name":"Zol Chest",
       "locations":[
          {
             "map":"d0",
             "x":448,
             "y":160
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x302":{
       "id":"0x302",
       "area":"Color Dungeon",
       "name":"Nightmare Key Chest",
       "locations":[
          {
             "map":"d0",
             "x":704,
             "y":16
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x311":{
       "id":"0x311",
       "area":"Color Dungeon",
       "name":"Two Socket Chest",
       "locations":[
          {
             "map":"d0",
             "x":768,
             "y":416
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x30F":{
       "id":"0x30F",
       "area":"Color Dungeon",
       "name":"Entrance Chest",
       "locations":[
          {
             "map":"d0",
             "x":448,
             "y":416
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x30F-Owl":{
       "id":"0x30F-Owl",
       "area":"Color Dungeon",
       "name":"Entrance Owl",
       "locations":[
          {
             "map":"d0",
             "x":400,
             "y":384
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x308":{
       "id":"0x308",
       "area":"Color Dungeon",
       "name":"Upper Small Key",
       "locations":[
          {
             "map":"d0",
             "x":720,
             "y":176
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x308-Owl":{
       "id":"0x308-Owl",
       "area":"Color Dungeon",
       "name":"Upper Key Owl",
       "locations":[
          {
             "map":"d0",
             "x":704,
             "y":128
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x314":{
       "id":"0x314",
       "area":"Color Dungeon",
       "name":"Lower Small Key",
       "locations":[
          {
             "map":"d0",
             "x":512,
             "y":592
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x30E":{
       "id":"0x30E",
       "area":"Color Dungeon",
       "name":"Pot Powder",
       "locations":[
          {
              "map": "d0",
              "x": 176,
              "y": 400
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x230":{
       "id":"0x230",
       "area":"Turtle Rock",
       "name":"Thunder Drum",
       "locations":[
          {
             "map":"d8",
             "x":552,
             "y":32
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x234":{
       "id":"0x234",
       "area":"Turtle Rock",
       "name":"Hot Head Heart Container",
       "locations":[
        {
            "map": "d8",
            "x": 552,
            "y": 224
        },
        {
            "map":"overworld",
             "x":226,
             "y":1640
        }
       ],
    },
    "0x232":{
       "id":"0x232",
       "area":"Turtle Rock",
       "name":"Nightmare Key/Big Zamboni Chest",
       "locations":[
          {
             "map":"d8",
             "x":128,
             "y":160
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x23A":{
       "id":"0x23A",
       "area":"Turtle Rock",
       "name":"West of Boss Door Ledge Chest",
       "locations":[
          {
             "map":"d8",
             "x":448,
             "y":272
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x241-Owl":{
       "id":"0x241-Owl",
       "area":"Turtle Rock",
       "name":"Lava Arrow Statue Owl",
       "locations":[
          {
             "map":"d8",
             "x":416,
             "y":384
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x241":{
       "id":"0x241",
       "area":"Turtle Rock",
       "name":"Lava Arrow Statue Key",
       "locations":[
          {
             "map":"d8",
             "x":352,
             "y":432
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x000":{
       "id":"0x000",
       "area":"Turtle Rock",
       "name":"Outside Heart Piece",
       "locations":[
          {
             "map":"overworld",
             "x":50,
             "y":1830
          },
          {
             "map":"d8",
             "x":400,
             "y":256
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x23D":{
       "id":"0x23D",
       "area":"Turtle Rock",
       "name":"Dodongo Chest",
       "locations":[
          {
             "map":"d8",
             "x":928,
             "y":288
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x240":{
       "id":"0x240",
       "area":"Turtle Rock",
       "name":"Beamos Blocked Chest",
       "locations":[
          {
             "map":"d8",
             "x":256,
             "y":432
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x237":{
       "id":"0x237",
       "area":"Turtle Rock",
       "name":"Magic Rod Chest",
       "locations":[
          {
             "map":"d8",
             "x":1168,
             "y":144
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x235":{
       "id":"0x235",
       "area":"Turtle Rock",
       "name":"Lava Ledge Chest",
       "locations":[
          {
             "map":"d8",
             "x":688,
             "y":144
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x2352":{
       "id":"0x2352",
       "area":"Turtle Rock",
       "name":"Lava Ledge Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 752,
             "y": 160
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x23E":{
       "id":"0x23E",
       "area":"Turtle Rock",
       "name":"Gibdos on Cracked Floor Key",
       "locations":[
          {
             "map":"d8",
             "x":992,
             "y":304
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x23E2":{
       "id":"0x23E2",
       "area":"Turtle Rock",
       "name":"Cracked Floor Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 1040,
             "y": 288
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x245-Owl":{
       "id":"0x245-Owl",
       "area":"Turtle Rock",
       "name":"Bombable Blocks Owl",
       "locations":[
          {
             "map":"d8",
             "x":1072,
             "y":384
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x25F":{
       "id":"0x25F",
       "area":"Turtle Rock",
       "name":"Four Ropes Pot Chest",
       "locations":[
          {
             "map":"d8",
             "x":1248,
             "y":928
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x25A":{
       "id":"0x25A",
       "area":"Turtle Rock",
       "name":"Zamboni, Two Zol Key",
       "locations":[
          {
             "map":"d8",
             "x":992,
             "y":816
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x259":{
       "id":"0x259",
       "area":"Turtle Rock",
       "name":"Right Lava Chest",
       "locations":[
          {
             "map":"d8",
             "x":864,
             "y":832
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x258":{
       "id":"0x258",
       "area":"Turtle Rock",
       "name":"Pot Flying Powder",
       "locations":[
          {
             "map": "d8",
             "x": 720,
             "y": 832
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x253-Owl":{
       "id":"0x253-Owl",
       "area":"Turtle Rock",
       "name":"Beamos Owl",
       "locations":[
          {
             "map":"d8",
             "x":1136,
             "y":720
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x246":{
       "id":"0x246",
       "area":"Turtle Rock",
       "name":"Two Torches Room Chest",
       "locations":[
          {
             "map":"d8",
             "x":288,
             "y":544
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x255":{
       "id":"0x255",
       "area":"Turtle Rock",
       "name":"Spark, Pit Chest",
       "locations":[
          {
             "map":"d8",
             "x":256,
             "y":800
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x24C":{
       "id":"0x24C",
       "area":"Turtle Rock",
       "name":"Left Vire Key",
       "locations":[
          {
             "map":"d8",
             "x":32,
             "y":688
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x25C":{
       "id":"0x25C",
       "area":"Turtle Rock",
       "name":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d8",
             "x":64,
             "y":944
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x24D":{
       "id":"0x24D",
       "area":"Turtle Rock",
       "name":"Left of Hinox Zamboni Chest",
       "locations":[
          {
             "map":"d8",
             "x":288,
             "y":672
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x24F":{
       "id":"0x24F",
       "area":"Turtle Rock",
       "name":"Push Block Chest",
       "locations":[
          {
             "map":"d8",
             "x":528,
             "y":672
          },
          {
             "map":"overworld",
             "x":226,
             "y":1640
          }
       ],
    },
    "0x22C":{
       "id":"0x22C",
       "area":"Eagle's Tower",
       "name":"Organ of Evening Calm",
       "locations":[
          {
             "map":"d7",
             "x":1032,
             "y":160
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x223":{
       "id":"0x223",
       "area":"Eagle's Tower",
       "name":"Evil Eagle Heart Container",
       "locations":[
        {
            "map": "d7",
            "x": 976,
            "y": 288
        },
        {
            "map":"overworld",
             "x":1512,
             "y":45
        }
       ],
    },
    "0x220":{
       "id":"0x220",
       "area":"Eagle's Tower",
       "name":"Conveyor Beamos Chest",
       "locations":[
          {
             "map":"d7",
             "x":1088,
             "y":32
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x21A":{
       "id":"0x21A",
       "area":"Eagle's Tower",
       "name":"Mirror Shield Chest",
       "locations":[
          {
             "map":"d7",
             "x":528,
             "y":288
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x224":{
       "id":"0x224",
       "area":"Eagle's Tower",
       "name":"Nightmare Key/After Grim Creeper Chest",
       "locations":[
          {
             "map":"d7",
             "x":1248,
             "y":160
          },
          {
             "map":"d7",
             "x":1248,
             "y":672
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x21C":{
       "id":"0x21C",
       "area":"Eagle's Tower",
       "name":"Three of a Kind, Pit Chest",
       "locations":[
          {
             "map":"d7",
             "x":288,
             "y":416
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x21C-Owl":{
       "id":"0x21C-Owl",
       "area":"Eagle's Tower",
       "name":"Three of a Kind, Pit Owl",
       "locations":[
          {
             "map":"d7",
             "x":176,
             "y":384
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x201":{
       "id":"0x201",
       "area":"Eagle's Tower",
       "name":"Kirby Ledge Chest",
       "locations":[
          {
             "map":"d7",
             "x":16,
             "y":528
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x21B":{
       "id":"0x21B",
       "area":"Eagle's Tower",
       "name":"Hinox Key",
       "locations":[
          {
             "map":"d7",
             "x":32,
             "y":432
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x211":{
       "id":"0x211",
       "area":"Eagle's Tower",
       "name":"Three of a Kind, No Pit Chest",
       "locations":[
          {
             "map":"d7",
             "x":288,
             "y":32
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x209":{
       "id":"0x209",
       "area":"Eagle's Tower",
       "name":"Switch Wrapped Chest",
       "locations":[
          {
             "map":"d7",
             "x":80,
             "y":800
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x204":{
       "id":"0x204",
       "area":"Eagle's Tower",
       "name":"Beamos Ledge Chest",
       "locations":[
          {
             "map":"d7",
             "x":608,
             "y":528
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x204-Owl":{
       "id":"0x204-Owl",
       "area":"Eagle's Tower",
       "name":"Beamos Owl",
       "locations":[
          {
             "map":"d7",
             "x":544,
             "y":544
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x212":{
       "id":"0x212",
       "area":"Eagle's Tower",
       "name":"Horse Head, Bubble Chest",
       "locations":[
          {
             "map":"d7",
             "x":448,
             "y":32
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x216-Owl":{
       "id":"0x216-Owl",
       "area":"Eagle's Tower",
       "name":"Ball Owl",
       "locations":[
          {
             "map":"d7",
             "x":496,
             "y":128
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x210":{
       "id":"0x210",
       "area":"Eagle's Tower",
       "name":"Entrance Key",
       "locations":[
          {
             "map":"d7",
             "x":512,
             "y":944
          },
          {
             "map":"overworld",
             "x":1512,
             "y":45
          }
       ],
    },
    "0x1B5":{
       "id":"0x1B5",
       "area":"Face Shrine",
       "name":"Coral Triangle",
       "locations":[
          {
             "map":"d6",
             "x":712,
             "y":160
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1BC":{
       "id":"0x1BC",
       "area":"Face Shrine",
       "name":"Facade Heart Container",
       "locations":[
        {
            "map": "d6",
            "x": 712,
            "y": 352
        },
        {
            "map":"overworld",
             "x":2494,
             "y":820
        }
       ],
    },
    "0x1B6":{
       "id":"0x1B6",
       "area":"Face Shrine",
       "name":"Pot Locked Chest",
       "locations":[
          {
             "map":"d6",
             "x":1008,
             "y":160
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B6-Owl":{
       "id":"0x1B6-Owl",
       "area":"Face Shrine",
       "name":"Pot Owl",
       "locations":[
          {
             "map":"d6",
             "x":1024,
             "y":128
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B1":{
       "id":"0x1B1",
       "area":"Face Shrine",
       "name":"Top Right Horse Heads Chest",
       "locations":[
          {
             "map":"d6",
             "x":1152,
             "y":32
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1C3":{
       "id":"0x1C3",
       "area":"Face Shrine",
       "name":"Tile Room Key",
       "locations":[
          {
             "map":"d6",
             "x":512,
             "y":432
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1D7-Owl":{
       "id":"0x1D7-Owl",
       "area":"Face Shrine",
       "name":"Blade Trap Owl",
       "locations":[
          {
             "map":"d6",
             "x":976,
             "y":768
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1D1":{
       "id":"0x1D1",
       "area":"Face Shrine",
       "name":"Four Wizzrobe Ledge Chest",
       "locations":[
          {
             "map":"d6",
             "x":1088,
             "y":720
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1BE":{
       "id":"0x1BE",
       "area":"Face Shrine",
       "name":"Water Tektite Chest",
       "locations":[
          {
             "map":"d6",
             "x":1056,
             "y":272
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x06C":{
       "id":"0x06C",
       "area":"Face Shrine",
       "name":"Raft Chest",
       "locations":[
          {
             "map":"d6",
             "x":112,
             "y":2800
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B0":{
       "id":"0x1B0",
       "area":"Face Shrine",
       "name":"Top Left Horse Heads Chest",
       "locations":[
          {
             "map":"d6",
             "x":112,
             "y":32
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B4":{
       "id":"0x1B4",
       "area":"Face Shrine",
       "name":"Two Wizzrobe Key",
       "locations":[
          {
             "map":"d6",
             "x":512,
             "y":176
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B3":{
       "id":"0x1B3",
       "area":"Face Shrine",
       "name":"Switch, Star Above Statues Chest",
       "locations":[
          {
             "map":"d6",
             "x":208,
             "y":192
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1B9":{
       "id":"0x1B9",
       "area":"Face Shrine",
       "name":"Stairs Across Statues Chest",
       "locations":[
          {
             "map":"d6",
             "x":208,
             "y":272
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1C0":{
       "id":"0x1C0",
       "area":"Face Shrine",
       "name":"Three Wizzrobe, Switch Chest",
       "locations":[
          {
             "map":"d6",
             "x":128,
             "y":416
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1CE":{
       "id":"0x1CE",
       "area":"Face Shrine",
       "name":"L2 Bracelet Chest",
       "locations":[
          {
             "map":"d6",
             "x":176,
             "y":656
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1BB-Owl":{
       "id":"0x1BB-Owl",
       "area":"Face Shrine",
       "name":"Corridor Owl",
       "locations":[
          {
             "map":"d6",
             "x":560,
             "y":336
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1C9":{
       "id":"0x1C9",
       "area":"Face Shrine",
       "name":"Flying Heart, Statue Chest",
       "locations":[
          {
             "map":"d6",
             "x":432,
             "y":544
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x1CF":{
       "id":"0x1CF",
       "area":"Face Shrine",
       "name":"Mini-Moldorm, Spark Chest",
       "locations":[
          {
             "map":"d6",
             "x":432,
             "y":688
          },
          {
             "map":"overworld",
             "x":2494,
             "y":820
          }
       ],
    },
    "0x182":{
       "id":"0x182",
       "area":"Catfish's Maw",
       "name":"Wind Marimba",
       "locations":[
          {
             "map":"d5",
             "x":392,
             "y":32
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x185":{
       "id":"0x185",
       "area":"Catfish's Maw",
       "name":"Slime Eel Heart Container",
       "locations":[
        {
            "map": "d5",
            "x": 392,
            "y": 224
        },
        {
            "map":"overworld",
             "x":2014,
             "y":1705
        }
       ],
    },
    "0x186":{
       "id":"0x186",
       "area":"Catfish's Maw",
       "name":"Nightmare Key/Torch Cross Chest",
       "locations":[
          {
             "map":"d5",
             "x":720,
             "y":320
          },
          {
             "map":"d5",
             "x":512,
             "y":160
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x183":{
       "id":"0x183",
       "area":"Catfish's Maw",
       "name":"Three Stalfos Chest",
       "locations":[
          {
             "map":"d5",
             "x":544,
             "y":32
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x180":{
       "id":"0x180",
       "area":"Catfish's Maw",
       "name":"Master Stalfos Item",
       "locations":[
          {
             "map":"d5",
             "x":64,
             "y":48
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x18F":{
       "id":"0x18F",
       "area":"Catfish's Maw",
       "name":"Flying Bomb Chest East",
       "locations":[
          {
             "map":"d5",
             "x":1088,
             "y":304
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x188":{
       "id":"0x188",
       "area":"Catfish's Maw",
       "name":"Swort Stalfos, Star, Bridge Chest",
       "locations":[
          {
             "map":"d5",
             "x":928,
             "y":144
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x18E":{
       "id":"0x18E",
       "area":"Catfish's Maw",
       "name":"Two Stalfos, Star Pit Chest",
       "locations":[
          {
             "map":"d5",
             "x":912,
             "y":272
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x18A-Owl":{
       "id":"0x18A-Owl",
       "area":"Catfish's Maw",
       "name":"Star Owl",
       "locations":[
          {
             "map":"d5",
             "x":240,
             "y":256
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x196":{
       "id":"0x196",
       "area":"Catfish's Maw",
       "name":"Hookshot Note Chest",
       "locations":[
          {
             "map":"d5",
             "x":832,
             "y":544
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x197":{
       "id":"0x197",
       "area":"Catfish's Maw",
       "name":"Three Iron Mask Chest",
       "locations":[
          {
             "map":"d5",
             "x":208,
             "y":672
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x19B":{
       "id":"0x19B",
       "area":"Catfish's Maw",
       "name":"Flying Bomb Chest South",
       "locations":[
          {
             "map":"d5",
             "x":448,
             "y":800
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x19A-Owl":{
       "id":"0x19A-Owl",
       "area":"Catfish's Maw",
       "name":"Crystal Owl",
       "locations":[
          {
             "map":"d5",
             "x":752,
             "y":640
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x181":{
       "id":"0x181",
       "area":"Catfish's Maw",
       "name":"Crystal Key",
       "locations":[
          {
             "map":"d5",
             "x":192,
             "y":48
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x19E":{
       "id":"0x19E",
       "area":"Catfish's Maw",
       "name":"Spark, Two Iron Mask Chest",
       "locations":[
          {
             "map":"d5",
             "x":592,
             "y":928
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x1A0":{
       "id":"0x1A0",
       "area":"Catfish's Maw",
       "name":"Entrance Hookshottable Chest",
       "locations":[
          {
             "map":"d5",
             "x":912,
             "y":912
          },
          {
             "map":"overworld",
             "x":2014,
             "y":1705
          }
       ],
    },
    "0x162":{
       "id":"0x162",
       "area":"Angler's Tunnel",
       "name":"Surf Harp",
       "locations":[
          {
             "map":"d4",
             "x":74,
             "y":160
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x166":{
       "id":"0x166",
       "area":"Angler's Tunnel",
       "name":"Angler Fish Heart Container",
       "locations":[
        {
            "map": "d4",
            "x": 72,
            "y": 336
        },
        {
            "map":"overworld",
             "x":2540,
             "y":330
        }
       ],
    },
    "0x176":{
       "id":"0x176",
       "area":"Angler's Tunnel",
       "name":"Nightmare Key Ledge Chest",
       "locations":[
          {
             "map":"d4",
             "x":192,
             "y":656
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x160":{
       "id":"0x160",
       "area":"Angler's Tunnel",
       "name":"Flippers Chest",
       "locations":[
          {
             "map":"d4",
             "x":384,
             "y":32
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x168":{
       "id":"0x168",
       "area":"Angler's Tunnel",
       "name":"Spark Chest",
       "locations":[
          {
             "map":"d4",
             "x":352,
             "y":288
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x16D":{
       "id":"0x16D",
       "area":"Angler's Tunnel",
       "name":"Blob Chest",
       "locations":[
          {
             "map":"d4",
             "x":256,
             "y":432
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x16E":{
       "id":"0x16E",
       "area":"Angler's Tunnel",
       "name":"Flipper Locked After Boots Pit Chest",
       "locations":[
          {
             "map":"d4",
             "x":416,
             "y":432
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x169":{
       "id":"0x169",
       "area":"Angler's Tunnel",
       "name":"Pit Key",
       "locations":[
          {
             "map":"d4",
             "x":752,
             "y":288
          },
          {
             "map":"d4",
             "x":512,
             "y":304
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x16F-Owl":{
       "id":"0x16F-Owl",
       "area":"Angler's Tunnel",
       "name":"Spiked Beetle Owl",
       "locations":[
          {
             "map":"d4",
             "x":528,
             "y":448
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x175":{
       "id":"0x175",
       "area":"Angler's Tunnel",
       "name":"Flipper Locked Before Boots Pit Chest",
       "locations":[
          {
             "map":"d4",
             "x":672,
             "y":560
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x165":{
       "id":"0x165",
       "area":"Angler's Tunnel",
       "name":"Upper Bomb Locked Watery Chest",
       "locations":[
          {
             "map":"d4",
             "x":880,
             "y":160
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x171":{
       "id":"0x171",
       "area":"Angler's Tunnel",
       "name":"Lower Bomb Locked Watery Chest",
       "locations":[
          {
             "map":"d4",
             "x":912,
             "y":432
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x17B":{
       "id":"0x17B",
       "area":"Angler's Tunnel",
       "name":"Crystal Chest",
       "locations":[
          {
             "map":"d4",
             "x":544,
             "y":832
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x178":{
       "id":"0x178",
       "area":"Angler's Tunnel",
       "name":"Two Spiked Beetle, Zol Chest",
       "locations":[
          {
             "map":"d4",
             "x":576,
             "y":704
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x16A":{
       "id":"0x16A",
       "area":"Angler's Tunnel",
       "name":"NW of Boots Pit Ledge Chest",
       "locations":[
          {
             "map":"d4",
             "x":656,
             "y":336
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x179":{
       "id":"0x179",
       "area":"Angler's Tunnel",
       "name":"Watery Statue Chest",
       "locations":[
          {
             "map":"d4",
             "x":704,
             "y":672
          },
          {
             "map":"overworld",
             "x":2540,
             "y":330
          }
       ],
    },
    "0x159":{
       "id":"0x159",
       "area":"Key Cavern",
       "name":"Sea Lily's Bell",
       "locations":[
          {
             "map":"d3",
             "x":872,
             "y":672
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x15A":{
       "id":"0x15A",
       "area":"Key Cavern",
       "name":"Slime Eye Heart Container",
       "locations":[
        {
            "map": "d3",
            "x": 872,
            "y": 848
        },
        {
            "map":"overworld",
             "x":2430,
             "y":95
        }
       ],
    },
    "0x15B":{
       "id":"0x15B",
       "area":"Key Cavern",
       "name":"Nightmare Door Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":944
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x140-Owl":{
       "id":"0x140-Owl",
       "area":"Key Cavern",
       "name":"Flying Bomb Owl",
       "locations":[
          {
             "map":"d3",
             "x":64,
             "y":2800
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x144":{
       "id":"0x144",
       "area":"Key Cavern",
       "name":"Two Zol, Stalfos Ledge Chest",
       "locations":[
          {
             "map":"d3",
             "x":128,
             "y":160
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x148":{
       "id":"0x148",
       "area":"Key Cavern",
       "name":"Two Zol, Two Pairodd Key",
       "locations":[
          {
             "map":"d3",
             "x":32,
             "y":304
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x141":{
       "id":"0x141",
       "area":"Key Cavern",
       "name":"Three Bombite Key",
       "locations":[
          {
             "map":"d3",
             "x":192,
             "y":48
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x142":{
       "id":"0x142",
       "area":"Key Cavern",
       "name":"Three Zol, Stalfos Chest",
       "locations":[
          {
             "map":"d3",
             "x":384,
             "y":32
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x146":{
       "id":"0x146",
       "area":"Key Cavern",
       "name":"Boots Chest",
       "locations":[
          {
             "map":"d3",
             "x":384,
             "y":160
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x147":{
       "id":"0x147",
       "area":"Key Cavern",
       "name":"Tile Arrow Ledge Chest",
       "locations":[
          {
             "map":"d3",
             "x":608,
             "y":144
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x147-Owl":{
       "id":"0x147-Owl",
       "area":"Key Cavern",
       "name":"Tile Arrow Owl",
       "locations":[
          {
             "map":"d3",
             "x":528,
             "y":128
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x14D":{
       "id":"0x14D",
       "area":"Key Cavern",
       "name":"After Stairs Key",
       "locations":[
          {
             "map":"d3",
             "x":352,
             "y":432
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x158":{
       "id":"0x158",
       "area":"Key Cavern",
       "name":"South Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":560
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x155":{
       "id":"0x155",
       "area":"Key Cavern",
       "name":"West Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":672,
             "y":432
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x14C":{
       "id":"0x14C",
       "area":"Key Cavern",
       "name":"Zol Switch Chest",
       "locations":[
          {
             "map":"d3",
             "x":208,
             "y":432
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x150":{
       "id":"0x150",
       "area":"Key Cavern",
       "name":"Sword Stalfos, Keese Switch Chest",
       "locations":[
          {
             "map":"d3",
             "x":400,
             "y":688
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x154-Owl":{
       "id":"0x154-Owl",
       "area":"Key Cavern",
       "name":"North Key Room Owl",
       "locations":[
          {
             "map":"d3",
             "x":848,
             "y":304
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x154":{
       "id":"0x154",
       "area":"Key Cavern",
       "name":"North Key Room Key",
       "locations":[
          {
             "map":"d3",
             "x":832,
             "y":304
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x14E":{
       "id":"0x14E",
       "area":"Key Cavern",
       "name":"Two Stalfos, Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":288,
             "y":544
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x14F":{
       "id":"0x14F",
       "area":"Key Cavern",
       "name":"Four Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":272,
             "y":672
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x151":{
       "id":"0x151",
       "area":"Key Cavern",
       "name":"Two Bombite, Sword Stalfos, Zol Chest",
       "locations":[
          {
             "map":"d3",
             "x":288,
             "y":816
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x153":{
       "id":"0x153",
       "area":"Key Cavern",
       "name":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d3",
             "x":448,
             "y":928
          },
          {
             "map":"overworld",
             "x":2430,
             "y":95
          }
       ],
    },
    "0x12A":{
       "id":"0x12A",
       "area":"Bottle Grotto",
       "name":"Conch Horn",
       "locations":[
          {
             "map":"d2",
             "x":712,
             "y":288
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x12B":{
       "id":"0x12B",
       "area":"Bottle Grotto",
       "name":"Genie Heart Container",
       "locations":[
          {
             "map":"d2",
             "x":872,
             "y":312
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x127":{
       "id":"0x127",
       "area":"Bottle Grotto",
       "name":"Enemy Order Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":768,
             "y":160
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x122":{
       "id":"0x122",
       "area":"Bottle Grotto",
       "name":"Second Switch Locked Chest",
       "locations":[
          {
             "map":"d2",
             "x":432,
             "y":32
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x120":{
       "id":"0x120",
       "area":"Bottle Grotto",
       "name":"Boo Buddies Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":128,
             "y":32
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x12F-Owl":{
       "id":"0x12F-Owl",
       "area":"Bottle Grotto",
       "name":"Before First Staircase Owl",
       "locations":[
          {
             "map":"d2",
             "x":832,
             "y":512
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x129-Owl":{
       "id":"0x129-Owl",
       "area":"Bottle Grotto",
       "name":"After Hinox Owl",
       "locations":[
          {
             "map":"d2",
             "x":240,
             "y":256
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x121":{
       "id":"0x121",
       "area":"Bottle Grotto",
       "name":"Outside Boo Buddies Room Chest",
       "locations":[
          {
             "map":"d2",
             "x":272,
             "y":32
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x1212":{
       "id":"0x1212",
       "area":"Bottle Grotto",
       "name":"Outside Boo Buddies Flying Powder",
       "locations":[
          {
             "map":"overworld",
             "x":65,
             "y":45
          },
          {
             "map": "d2",
             "x":720,
             "y":820
          }
       ],
    },
    "0x126":{
       "id":"0x126",
       "area":"Bottle Grotto",
       "name":"Vacuum Mouth Chest",
       "locations":[
          {
             "map":"d2",
             "x":192,
             "y":160
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x134":{
       "id":"0x134",
       "area":"Bottle Grotto",
       "name":"Mask-Mimic Key",
       "locations":[
          {
             "map":"d2",
             "x":672,
             "y":688
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x139":{
       "id":"0x139",
       "area":"Bottle Grotto",
       "name":"Button Spawn Chest",
       "locations":[
          {
             "map":"d2",
             "x":768,
             "y":800
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x1392":{
       "id":"0x1392",
       "area":"Bottle Grotto",
       "name":"Pit Flying Powder",
       "locations":[
          {
             "map":"overworld",
             "x":65,
             "y":45
          },
          {
             "map": "d2",
             "x":720,
             "y":820
          },
       ],
    },
    "0x138":{
       "id":"0x138",
       "area":"Bottle Grotto",
       "name":"First Switch Locked Chest",
       "locations":[
          {
             "map":"d2",
             "x":528,
             "y":832
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x133-Owl":{
       "id":"0x133-Owl",
       "area":"Bottle Grotto",
       "name":"Switch Owl",
       "locations":[
          {
             "map":"d2",
             "x":544,
             "y":640
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x137":{
       "id":"0x137",
       "area":"Bottle Grotto",
       "name":"Mask-Mimic Chest",
       "locations":[
          {
             "map":"d2",
             "x":448,
             "y":800
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x132":{
       "id":"0x132",
       "area":"Bottle Grotto",
       "name":"Two Stalfos Key",
       "locations":[
          {
             "map":"d2",
             "x":352,
             "y":688
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x12E":{
       "id":"0x12E",
       "area":"Bottle Grotto",
       "name":"Hardhat Beetle Pit Chest",
       "locations":[
          {
             "map":"d2",
             "x":64,
             "y":544
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x136":{
       "id":"0x136",
       "area":"Bottle Grotto",
       "name":"Entrance Chest",
       "locations":[
          {
             "map":"d2",
             "x":176,
             "y":800
          },
          {
             "map":"overworld",
             "x":65,
             "y":45
          }
       ],
    },
    "0x102":{
       "id":"0x102",
       "area":"Tail Cave",
       "name":"Full Moon Cello",
       "locations":[
          {
             "map":"d1",
             "x":1032,
             "y":32
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x106":{
       "id":"0x106",
       "area":"Tail Cave",
       "name":"Moldorm Heart Container",
       "locations":[
        {
            "map": "d1",
            "x": 1032,
            "y": 200
        },
        {
            "map":"overworld",
             "x":1206,
             "y":1850
        }
       ],
    },
    "0x10A-Owl":{
       "id":"0x10A-Owl",
       "area":"Tail Cave",
       "name":"Three of a Kind Owl",
       "locations":[
          {
             "map":"d1",
             "x":880,
             "y":256
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x10A":{
       "id":"0x10A",
       "area":"Tail Cave",
       "name":"Three of a Kind Chest",
       "locations":[
          {
             "map":"d1",
             "x":928,
             "y":288
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x108":{
       "id":"0x108",
       "area":"Tail Cave",
       "name":"Nightmare Key Chest",
       "locations":[
          {
             "map":"d1",
             "x":544,
             "y":272
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x11D":{
       "id":"0x11D",
       "area":"Tail Cave",
       "name":"Feather Chest",
       "locations":[
          {
             "map":"d1",
             "x":64,
             "y":288
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x104-Owl":{
       "id":"0x104-Owl",
       "area":"Tail Cave",
       "name":"Movable Block Owl",
       "locations":[
          {
             "map":"d1",
             "x":368,
             "y":128
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x103-Owl":{
       "id":"0x103-Owl",
       "area":"Tail Cave",
       "name":"Spiked Beetle Owl",
       "locations":[
          {
             "map":"d1",
             "x":240,
             "y":128
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x10C":{
       "id":"0x10C",
       "area":"Tail Cave",
       "name":"Bombable Wall Seashell Chest",
       "locations":[
          {
             "map":"d1",
             "x":224,
             "y":432
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x114":{
       "id":"0x114",
       "area":"Tail Cave",
       "name":"Two Stalfos, Two Keese Chest",
       "locations":[
          {
             "map":"d1",
             "x":768,
             "y":544
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x10D":{
       "id":"0x10D",
       "area":"Tail Cave",
       "name":"Mini-Moldorm Spawn Chest",
       "locations":[
          {
             "map":"d1",
             "x":448,
             "y":416
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x116":{
       "id":"0x116",
       "area":"Tail Cave",
       "name":"Hardhat Beetles Key",
       "locations":[
          {
             "map":"d1",
             "x":352,
             "y":688
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x10E":{
       "id":"0x10E",
       "area":"Tail Cave",
       "name":"Spark, Mini-Moldorm Chest",
       "locations":[
          {
             "map":"d1",
             "x":544,
             "y":416
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x115":{
       "id":"0x115",
       "area":"Tail Cave",
       "name":"Four Zol Chest",
       "locations":[
          {
             "map":"d1",
             "x":208,
             "y":688
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x113":{
       "id":"0x113",
       "area":"Tail Cave",
       "name":"Pit Button Chest",
       "locations":[
          {
             "map":"d1",
             "x":560,
             "y":560
          },
          {
             "map":"overworld",
             "x":1206,
             "y":1850
          }
       ],
    },
    "0x2A1-2":{
       "id":"0x2A1-2",
       "area":"Kakariko Village",
       "name":"Shop 10 Item",
       "locations":[
          {
             "map":"overworld",
             "x":402,
             "y":1220
          }
       ],
    },
    "0x2A1-1":{
       "id":"0x2A1-1",
       "area":"Kakariko Village",
       "name":"Shop 980 Item",
       "locations":[
          {
             "map":"overworld",
             "x":402,
             "y":1220
          }
       ],
    },
    "0x2A1-0":{
       "id":"0x2A1-0",
       "area":"Kakariko Village",
       "name":"Shop 200 Item",
       "locations":[
          {
             "map":"overworld",
             "x":402,
             "y":1220
          }
       ],
    },
    "0x2A2":{
       "id":"0x2A2",
       "area":"Eastern Hyrule",
       "name":"Witch Item",
       "locations":[
          {
             "map":"overworld",
             "x":2045,
             "y":670
          }
       ],
    },
    "0x2A22":{
       "id":"0x2A22",
       "area":"Eastern Hyrule",
       "name":"Witch Powder",
       "locations":[
          {
             "map":"overworld",
             "x":2045,
             "y":670
          }
       ],
    },
    "0x301-1":{
       "id":"0x301-1",
       "area":"Color Dungeon",
       "name":"Tunic Fairy Item 2",
       "locations":[
          {
             "map":"d0",
             "x":232,
             "y":64
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x301-0":{
       "id":"0x301-0",
       "area":"Color Dungeon",
       "name":"Tunic Fairy Item 1",
       "locations":[
          {
             "map":"d0",
             "x":232,
             "y":64
          },
          {
             "map":"overworld",
             "x":2800,
             "y":2800
          }
       ],
    },
    "0x2A3":{
       "id":"0x2A3",
       "area":"Links House",
       "name":"Tarin's Gift",
       "locations":[
          {
             "map":"overworld",
             "x":1399,
             "y":1385
          }
       ],
    },
    "0x1F5":{
       "id":"0x1F5",
       "area":"Lake Hylia",
       "name":"Boomerang Guy Item",
       "locations":[
          {
             "map":"overworld",
             "x":2288,
             "y":1560
          }
       ],
    },
    "0x04A":{
       "id":"0x04A",
       "area":"Graveyard",
       "name":"Bush",
       "locations":[
          {
             "map":"overworld",
             "x":1652,
             "y":616
          },
       ],
    },
    "0x0C7":{
       "id":"0x0C7",
       "area":"Swamp",
       "name":"Peg Rock",
       "locations":[
          {
             "map":"overworld",
             "x":1182,
             "y":1592
          },
       ],
    },
    "0x0B0":{
       "id":"0x0B0",
       "area":"Kakariko Village",
       "name":"Digging Game",
       "locations":[
          {
             "map":"overworld",
             "x":16,
             "y":1462
          },
       ],
    },
    "0x0D4":{
       "id":"0x0D4",
       "area":"Desert",
       "name":"Outside Flame Cave",
       "locations":[
          {
             "map":"overworld",
             "x":712,
             "y":1754
          },
       ],
    },
    "0x011":{
       "id":"0x011",
       "area":"Lost Woods",
       "name":"Toadstool",
       "locations":[
          {
             "map":"overworld",
             "x":258,
             "y":178
          },
       ],
    },
    "0x0BF":{
       "id":"0x0BF",
       "area":"Eastern Palace",
       "name":"Peg Rock",
       "locations":[
          {
             "map":"overworld",
             "x":2478,
             "y":1494
          },
       ],
    },
    "0x0E0":{
       "id":"0x0E0",
       "area":"Turtle Rock",
       "name":"Desert Shelf",
       "locations":[
          {
             "map":"overworld",
             "x":64,
             "y":1852
          },
       ],
    },
    "egg":{
       "id":"egg",
       "area":"Tal Tal Mountains",
       "name":"Nightmare",
       "locations":[
          {
             "map": "overworld",
             "x": 1052,
             "y": 48
          },
       ],
    },
}